@charset "UTF-8";
/* † */
html {
 height: 100%;
 width: 100%;
 min-height: 400px;
 min-width: 600px;
}
body {
 margin: 0;
 height: 100%;
 width: 100%;
 min-height: 400px;
 min-width: 600px;
 font-family: 'MS Gothic', Consolas, 'Courier New', monospace;
 font-size: 16px;
 background-color: #E0DFE3;
 color: #000000;
}
p {
 margin: 0;
}
#WRAP {
 /*box-sizing: border-box; (js) */
 position:relative;
 padding-left: 10px;
 padding-right: 10px;
 height: 100%;
 margin: 0 auto;
 width: 100%;
 white-space: pre;
}
header {
 padding-top: 5px;
 white-space: nowrap;
}
#MENU {
 display: inline-block;
}
/*
#MENU>input {
 display: inline;
}
*/
#MENU>p {
 display: inline;
}
#INFO {
 display: inline-block;
 padding-left: 10px;
 margin: 0;
 font-weight: normal;
 font-size: 16px;
}

#CONTAINER {
 position: absolute;
 white-space: nowrap;
 top: 40px;
 right: 5px;
 bottom: 40px;
 left: 5px;
}

#SIDEBAR {
 /*box-sizing: border-box; (js) */
 padding-top: 5px;
 padding-bottom: 5px;
 padding-left: 10px;
 overflow: scroll;
 border: 1px solid #444444;
 display: inline-block;
 /*resize: horizontal; (js) */
 width: 280px;
 height: 100%;
 min-width: 40px;
 min-height: 200px;
 white-space: pre;
 line-height: 1.3;
}
#MAINPANEL {
 /*box-sizing: border-box; (js) */
 margin-left: 5px;
 overflow: scroll;
 border: 1px solid #444444;
 display: inline-block;
 /*resize: horizontal; (js) */
 height: 100%;
 width: 74%;
 min-width: 400px;
 min-height: 200px;
 white-space: nowrap;
 line-height: 1.3;
}
/*
#CTRL_STAT {
 list-style-type: none;
 margin-top: 0;
 margin-bottom: 0;
 padding-left: 0;
}
*/
#LOADING_LAYER {
 position: absolute;
 top: 0;
 left: 0;
 width: 100%;
 height: 100%;
 background-color: #000000;
 color: #FFFFFF;
 opacity: 0.4;
 display: none;
}
#LOADING_LAYER.now {
 display: block;
}

#OUTLINER.notready {
 visibility: hidden;
}
#OUTLINER {
 background-color: #E0DFE3;
 color: #000000;
 position: relative;
}
#OUTLINER ul::before {
 content: attr(data-bi);
}
#OUTLINER>ul {
 list-style-type: none;
 padding-left: 0px;
 background-color: #E0DFE3;
 color: #000000;
 border-top: 1px solid #888888;
 border-right: 1px solid #888888;
 border-bottom: 1px solid #888888;
 display: table;
 font-weight: bold;
}

#OUTLINER ul ul {
 list-style-type: none;
 padding-left: 10px;
 background-color: #E0DFE3;
 color: #000000;
 border-top: none;
 border-right: none;
 border-bottom: none;
 display: block;
}
#OUTLINER li {
 margin-left: 10px;
 padding-left: 10px;
 background-color: #E0DFE3;
 color: #000000;
 border-left: 1px solid #888888;
}
#OUTLINER li:hover:not([data-bd*="e"]) {
 background-color: #CEFFCE;
 color: #000000;
}
#OUTLINER li[data-bd*="e"]:hover {
 background-color: #AAAAAA;
 color: #000000;
}
#OUTLINER li.implicit {
 background-color: #FFE3E1;
 color: #000000;
}

#OUTLINER li[data-s='selected'] {
 border-left: 2px solid #FF0000;
 font-weight: bold;
}
#OUTLINER li:not([data-s='selected']) ul {
 font-weight: normal;
}
#OUTLINER li:not([data-s='selected']) {
 font-weight: normal;
 border-left: 1px solid #888888;
}
#OUTLINER li[data-s='sub'] {
 border-left: 2px solid #000000;
 font-style: oblique;
}
#OUTLINER li:not([data-s]) {
 font-style: normal;
}

#OUTLINER li[data-const='true'] {
 background-color: #FAFAD2;
 color: #000000;
}
#OUTLINER li[data-outof='true'] {
 text-decoration: line-through;
}

#OUTLINER ul ul:hover {
 background-color: #BEDFBE;
 color: #000000;
}

#TEXT {
 margin: 0 0 0 0;
 padding: 0 2em 0 0;
 list-style-type: none;
 display: table;
 min-width: 90%;/* MAIN width's n% */
 background-color: #FFFFFF;
 color: #000000;
 white-space: pre;/* pre-wrap: pseudo-view of textEditor's wrap? */
 /*border-bottom: 1px solid #444444;*/
}
#TEXT li::before {
 display: inline-block;
 content: attr(value);
 width: 4em;
 text-align: right;
 padding-right: 2px;
 margin-right: 6px;
 color: #800000;
 background-color: #C0C0C0;
 border-right: 1px solid #444444;
}

.LRH {
 margin-left: 1em;
 border-collapse: collapse;
 border: none;
}
.LRH caption {
 text-align: left;
 font-weight: bold;
}
.LRH th {
 text-align: right;
 font-weight: normal;
 padding-left: 1em;
 border: none;
}
.LRH td {
 text-align: left;
 padding: 0 0.5em;
 border: none;
}
.LRH th:after {
 content: '\3A';
}
.LRH tr:hover {
 background-color: #C0C0C0;
 color: #000000;
}

